package com.zcloud.modules.kangzai.controller;

import com.zcloud.common.annotation.SysLog;
import com.zcloud.common.utils.PageUtils;
import com.zcloud.common.utils.R;
import com.zcloud.modules.kangzai.entity.BusRiverSectionsStreetEntity;
import com.zcloud.modules.kangzai.service.BusRiverSectionsStreetService;
import com.zcloud.modules.sys.controller.AbstractController;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 河流县区段信息表(BusRiverSectionsStreet)表控制层
 * @Date 2025-06-12 17:14:57
 */
@Api(tags = "河流县区段信息表")
@RestController
@RequestMapping("busRiverSectionsStreet")
public class BusRiverSectionsStreetController extends AbstractController {

    @Autowired
    private BusRiverSectionsStreetService busRiverSectionsStreetService;

    @ApiOperation("河流县区段信息表-新增数据")
    @SysLog("河流县区段信息表-新增数据")
    @PostMapping("/save")
    public R insert(@RequestBody BusRiverSectionsStreetEntity param) {
        busRiverSectionsStreetService.save(param);

        return R.ok();
    }

    @ApiOperation("河流县区段信息表-编辑数据")
    @SysLog("河流县区段信息表-编辑数据")
    @PostMapping("/update")
    public R update(@RequestBody BusRiverSectionsStreetEntity param) {
        busRiverSectionsStreetService.updateById(param);

        return R.ok();
    }


    @ApiOperation("河流县区段信息表-删除数据")
    @SysLog("河流县区段信息表-删除数据")
    @PostMapping("/delete")
    public R delete(@RequestBody BusRiverSectionsStreetEntity param) {
        busRiverSectionsStreetService.delete(param.getRiverSectionsStreetId(),getUserId());
        return R.ok();
    }

    @ApiOperation("河流县区段信息表-分页查询")
    @SysLog("河流县区段信息表-分页查询")
    @PostMapping("/listPage")
    public R listPage(@RequestBody Map<String, Object> params) {
        PageUtils page = busRiverSectionsStreetService.listPage(params);

		return R.ok().put("page", page);
    }


    @ApiOperation("河流县区段信息表-根据ID查详情")
    @SysLog("河流县区段信息表-根据ID查详情")
    @PostMapping("/info")
    public R info(@RequestBody BusRiverSectionsStreetEntity param) {
        BusRiverSectionsStreetEntity busRiverSectionsStreet = busRiverSectionsStreetService.getById(param.getRiverSectionsStreetId());
        return R.ok().put("busRiverSectionsStreet", busRiverSectionsStreet);
    }

}
